## edu.stanford.nlp.trees.international.pennchinese
Class ChineseSemanticHeadFinder

    java.lang.Object
      edu.stanford.nlp.trees.AbstractCollinsHeadFinder
          edu.stanford.nlp.trees.international.pennchinese.ChineseHeadFinder
              edu.stanford.nlp.trees.international.pennchinese.ChineseSemanticHeadFinder

All Implemented Interfaces:
  HeadFinder, Serializable

    public class ChineseSemanticHeadFinder

extends ChineseHeadFinder

Implements a 'semantic head' variant of the the HeadFinder found in Chinese Head Finder

Author:
  Pi-Chuan Chang, Huihsin Tseng
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`defaultRule, nonTerminalInfo, tlp`

Constructor Summary
`ChineseSemanticHeadFinder()`
`ChineseSemanticHeadFinder(TreebankLanguagePack tlp)`

Method Summary

Methods inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`determineHead, determineHead, determineNonTrivialHead, findMarkedHead, postOperationFix, setCategoriesToAvoid, traverseLocate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChineseSemanticHeadFinder

    public ChineseSemanticHeadFinder()

### ChineseSemanticHeadFinder

    public ChineseSemanticHeadFinder(TreebankLanguagePack tlp)

Stanford NLP Group